Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364480 - hosted engine deploy - VM CONFIGURATION text confusing
Summary: hosted engine deploy - VM CONFIGURATION text confusing
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: ovirt-hosted-engine-setup
Classification: oVirt
Component: General
Version: 2.0.1.1
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: ---
: ---
Assignee: Sandro Bonazzola
QA Contact: meital avital
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-05 13:03 UTC by Evgheni Dereveanchin
Modified: 2017-05-11 09:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-11 08:30:22 UTC
oVirt Team: Integration
rule-engine: planning_ack?
ederevea: devel_ack?
ederevea: testing_ack?


Attachments (Terms of Use)

Description Evgheni Dereveanchin 2016-08-05 13:03:21 UTC
Description of problem:
The VM CONFIGURATION step in 4.0 became quite confusing and it's hard 
to make the correct decision on where to install the Engine VM from.

Version-Release number of selected component (if applicable):
ovirt-hosted-engine-setup-2.0.1-1.el7.centos.noarch

How reproducible:
always

Steps to Reproduce:
1. hosted-engine --deploy
2. go through the steps that set up storage and networking
3. --== VM CONFIGURATION ==-- step is displayed

Actual results:

--== NETWORK CONFIGURATION ==--

Booting from cdrom on RHEL7 is ISO image based only, as cdrom passthrough is disabled (BZ760885)
Please specify the device to boot the VM from (choose disk for the oVirt engine appliance)
(cdrom, disk, pxe) [disk]: 



Expected results:

--== NETWORK CONFIGURATION ==--

Please specify the device to boot the VM from.
   choose 'disk' for the oVirt engine appliance
   choose 'cdrom' to use an installation ISO
   choose 'pxe' for network boot
(cdrom, disk, pxe) [disk]: 

Additional info:

The "booting from cdrom" warning doesn't need to be on the top of the paragraph,
in fact I'd suggest only showing it after the cdrom option is selected.
Also, do not use the hard-coded "RHEL7" string as this also affects CentOS
(and maybe other distributions, not sure if passthrough works on any of the
supported platforms). Better - check the OS and display warning only if applicable.

The ideal solution would be to describe each option as "cdrom" does not
imply actually using a CD-ROM but an ISO, and "disk" does not mean a
QCOW image but an OVF.

Comment 1 Yaniv Lavi 2016-08-11 08:30:22 UTC
In the next version (4.1) we are going to only support only appliance flow, so this question will no longer be asked.


Note You need to log in before you can comment on or make changes to this bug.